org.richfaces.fragment.popupPanel

## Class RichFacesPopupPanel.AdvancedPopupPanelInteractions

- java.lang.Object
- - org.richfaces.fragment.panel.AbstractPanel.AdvancedPanelInteractions
  - - org.richfaces.fragment.popupPanel.RichFacesPopupPanel.AdvancedPopupPanelInteractions

- All Implemented Interfaces:
    VisibleComponentInteractions
  Enclosing class:
    RichFacesPopupPanel<HEADER,HEADERCONTROLS,BODY>

      public class RichFacesPopupPanel.AdvancedPopupPanelInteractions
      extends AbstractPanel.AdvancedPanelInteractions
      implements VisibleComponentInteractions

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdvancedPopupPanelInteractions()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.openqa.selenium.WebElement` | `getBodyElement()`
    `org.openqa.selenium.WebElement` | `getContentElement()`
    `org.openqa.selenium.WebElement` | `getContentScrollerElement()`
    `org.openqa.selenium.WebElement` | `getHeaderContentElement()`
    `org.openqa.selenium.WebElement` | `getHeaderControlsElement()`
    `org.jboss.arquillian.graphene.GrapheneElement` | `getHeaderElement()`
    `Locations` | `getLocations()`
    `org.openqa.selenium.WebElement` | `getResizerElement(PopupPanel.ResizerLocation resizerLocation)`
    `org.openqa.selenium.WebElement` | `getShadowElement()`
    `boolean` | `isVisible()`
    `RichFacesPopupPanel.AdvancedPopupPanelInteractions` | `moveByOffset(int xOffset, int yOffset)`
    `RichFacesPopupPanel.AdvancedPopupPanelInteractions` | `resizeFromLocation(PopupPanel.ResizerLocation location, int byXPixels, int byYPixels)`
    `WaitingWrapper` | `waitUntilPopupIsNotVisible()`
    `WaitingWrapper` | `waitUntilPopupIsVisible()`

    - ### Methods inherited from class org.richfaces.fragment.panel.AbstractPanel.AdvancedPanelInteractions

      `getRootElement`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AdvancedPopupPanelInteractions

          public AdvancedPopupPanelInteractions()

  - ### Method Detail

    - #### getBodyElement

          protected org.openqa.selenium.WebElement getBodyElement()

      Specified by:
        `getBodyElement` in class `AbstractPanel.AdvancedPanelInteractions`

    - #### getContentElement

          public org.openqa.selenium.WebElement getContentElement()

    - #### getContentScrollerElement

          public org.openqa.selenium.WebElement getContentScrollerElement()

    - #### getHeaderContentElement

          public org.openqa.selenium.WebElement getHeaderContentElement()

    - #### getHeaderControlsElement

          public org.openqa.selenium.WebElement getHeaderControlsElement()

    - #### getHeaderElement

          public org.jboss.arquillian.graphene.GrapheneElement getHeaderElement()

      Specified by:
        `getHeaderElement` in class `AbstractPanel.AdvancedPanelInteractions`

    - #### getLocations

          public Locations getLocations()

    - #### getResizerElement

          public org.openqa.selenium.WebElement getResizerElement(PopupPanel.ResizerLocation resizerLocation)

    - #### getShadowElement

          public org.openqa.selenium.WebElement getShadowElement()

    - #### isVisible

          public boolean isVisible()

      Specified by:
        `isVisible` in interface `VisibleComponentInteractions`

    - #### moveByOffset

          public RichFacesPopupPanel.AdvancedPopupPanelInteractions moveByOffset(int xOffset,
                                                                                 int yOffset)

    - #### resizeFromLocation

          public RichFacesPopupPanel.AdvancedPopupPanelInteractions resizeFromLocation(PopupPanel.ResizerLocation location,
                                                                                       int byXPixels,
                                                                                       int byYPixels)

    - #### waitUntilPopupIsNotVisible

          public WaitingWrapper waitUntilPopupIsNotVisible()

    - #### waitUntilPopupIsVisible

          public WaitingWrapper waitUntilPopupIsVisible()

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.